## com.lowagie.toolbox.arguments.filters
Class DirFilter

    java.lang.Object
      javax.swing.filechooser.FileFilter
          com.lowagie.toolbox.arguments.filters.DirFilter

    public class DirFilter

extends FileFilter

Filters directories in a JFileChooser.

Since:
  2.1.1 (imported from itexttoolbox project)

Constructor Summary
`DirFilter()`

Method Summary
`boolean` `accept(File f)`
`String` `getDescription()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirFilter

    public DirFilter()

Method Detail

### accept

    public boolean accept(File f)

  Specified by:
    `accept` in class `FileFilter`
  Parameters:
    `f` - File
  Returns:
    boolean
  See Also:
    `FileFilter.accept(java.io.File)`

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in class `FileFilter`
  Returns:
    String
  See Also:
    `FileFilter.getDescription()`

Hosted by Hostbasket